Skip to main content
POST
/
v2
/
agents
/
delete
Delete Agent
curl --request POST \
  --url https://api.velt.dev/v2/agents/delete \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "agentId": "<string>"
  }
}
'
import requests

url = "https://api.velt.dev/v2/agents/delete"

payload = { "data": { "agentId": "<string>" } }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {agentId: '<string>'}})
};

fetch('https://api.velt.dev/v2/agents/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Agent deleted successfully",
    "data": {
      "agentId": "abc123def456"
    }
  }
}
Use this API to delete a custom agent configuration and all its versions. Group cleanup: Before the agent document and its versions subcollection are recursively deleted, the agentId is removed from the agentIds array of every agent group it belongs to. A cleanup failure aborts the delete and leaves the agent intact, so the call can safely be retried. Groups themselves are never deleted as part of agent deletion, even when they become empty.

Endpoint

POST https://api.velt.dev/v2/agents/delete

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

Delete a custom agent

{
  "data": {
    "agentId": "abc123def456"
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Agent deleted successfully",
    "data": {
      "agentId": "abc123def456"
    }
  }
}
FieldTypeDescription
data.agentIdstringThe ID of the deleted agent

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "NOT_FOUND"
  }
}
Errors: NOT_FOUND (agent does not exist).
{
  "result": {
    "status": "success",
    "message": "Agent deleted successfully",
    "data": {
      "agentId": "abc123def456"
    }
  }
}